Subject: Re: [HOKEY]involving AAA domains?? EMSK Hierarchy Changes

From: "M. Vanderveen" <[email-masked]>
Date: Wed, 14 Feb 2007 09:19:51 -0800 (PST)

To save time we should agree that there are two camps and so we should have a vote by email as to where the DSRKs fit: right below the EMSK vs. right below a (yet undefined) USRK.  

----- Original Message ----
From: Yoshihiro Ohba <[email-masked]>
To: Madjid Nakhjiri <[email-masked]>
Cc: [email-masked]
Sent: Tuesday, February 13, 2007 9:30:35 PM
Subject: Re: [HOKEY]involving AAA domains?? EMSK Hierarchy Changes

On Tue, Feb 13, 2007 at 05:34:58PM -0800, Madjid Nakhjiri wrote:
> Hi Yoshi,
> 
> Initially the idea was to use EMSK to generate use specific keys (USRK), one
> for each use case. So handover root key (HRK) would be one key off EMSK and
> for instance you would have a MIP-USRK dealing with Mobile IP.
> 
> As I argued in SJ, you can have one USRK at the top in the home domain and
> then derive USRKs for visited domains from that top level USRK.
> 
>             EMSK
>              /  |  \
>             /   |   \
>            /    |    \
>           USRK1 USRK2  USRK3
>           /  \
>            /    \
> Domain2USRK     Domain 3USRK

This (the original key hierarchy) is what I have been mentioning!  I
believe this is most flexible enough to support all scenarios being
discussed.

Yoshihiro Ohba

> This way the service model is preserved and service level agreements between
> the operators can be honored easily.
> 
> The DSRK (domain root specific keys) as they are named to introduced to deal
> with the fact that people want one key per domain to deal with everything
> between heaven and earth within the domain.
> 
> Having seen all the discussion on the list, I am starting to think that we
> should deal with visited domain with less priority and I am starting to see
> the argument about symmetrical key hierarchy fade away, since the
> re-authentication key with home EAP server seems to be dangling in the air..
> 
> Madjid
> 

_______________________________________________
HOKEY mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hokey

____________________________________________________________________________________
Bored stiff? Loosen up... 
Download and play hundreds of games for free on Yahoo! Games.
http://games.yahoo.com/games/front

_______________________________________________
HOKEY mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hokey